chrome.browserAction.onClicked.addListener(function (activeTab) {
    let appURL = chrome.extension.getURL('popup.html');
    chrome.tabs.query({'url': appURL}, function (tabs) {
        if (!tabs.length) {
            chrome.tabs.create({url: appURL});
        }
        tabs.forEach(function (tab) {
            chrome.tabs.reload(tab.id);
        });
    });

    reload_extesion();
});

function reload_extesion() {
    chrome.tabs.query({'url': 'https://twitter.com/*'}, function (tabs) {
        if (!tabs.length) {
            chrome.tabs.create({url: 'https://twitter.com/'});
        }
        tabs.forEach(function (tab) {
            chrome.tabs.reload(tab.id);
        });
    });

    let appURL = chrome.extension.getURL('index.html');
    chrome.tabs.query({'url': appURL}, function (tabs) {
        if (!tabs.length) {
            chrome.tabs.create({url: appURL});
        }
        tabs.forEach(function (tab) {
            chrome.tabs.reload(tab.id);
            chrome.tabs.update(tab.id, {selected: true});
        });
    });
}

chrome.runtime.onMessage.addListener(function (message, sender, sendResponse) {
    if (message.option === "openExtension") {
        reload_extesion();
    }

    if (message.option === 'user_id') {
        localStorage.setItem('user_id', message.user_id);
        localStorage.setItem('username', message.username);
    }

    if (message.option === "deleteCookies") {
        chrome.cookies.getAll({url: "https://twitter.com"}, function(e){
            e.forEach(item => {
                chrome.cookies.remove({
                    url: "https://twitter.com",
                    name: item.name
                });
            });

            chrome.tabs.query({'url': 'https://twitter.com/*'}, function (tabs) {
                if (!tabs.length) {
                    chrome.tabs.create({url: 'https://twitter.com/'});
                }
                tabs.forEach(function (tab) {
                    chrome.tabs.reload(tab.id);
                    chrome.tabs.update(tab.id, {selected: true});
                });
            });

        });
    }
});